/**
 * Title:           ColDefinition, $Header: /share/gdi/SDI-Suite/Repository/projekte/BSH-GDI/genericViewer/src/main/java/de/conterra/bsh/gdi/gnviewer/datasources/ColDefinition.java,v 1.2 2007/12/21 12:31:15 blume Exp $
 * Source:          $Source: /share/gdi/SDI-Suite/Repository/projekte/BSH-GDI/genericViewer/src/main/java/de/conterra/bsh/gdi/gnviewer/datasources/ColDefinition.java,v $
 * created by:      Stefan Blume (blume)
 * erstellt am:     21.11.2007
 * Copyright:       con terra GmbH, 2005
 *
 * modified by:     $Author: blume $
 * modified on:     $Date: 2007/12/21 12:31:15 $
 * Version:         $Revision: 1.2 $
 * TAG:             $Name:  $
 * locked from:     $Locker:  $
 * CVS State:       $State: Exp $
 * Project:         $ProjectName$
 */
package de.intevation.gnv.geobackend.sde.datasources;

import org.apache.log4j.Logger;

/**
 * The class <code>ColDefinition</code> fulfills the following purposes:
 * <ol>
 * <li></li>
 * </ol>
 *
 * @author blume
 * @version 1.0
 * @serial 1.0
 * @see
 * @since 21.11.2007 10:59:45
 */
public class ColDefinition {

    /**
     * Default Logging instance
     */
    private static Logger sLogger = Logger.getLogger(ColDefinition.class);

    /**
     * @deprecated
     */
    public static final int SMALLINT = 1;
    /**
     * @deprecated
     */
    public static final int INTEGER = 2;
    /**
     * @deprecated
     */
    public static final int FLOAT = 3;
    /**
     * @deprecated
     */
    public static final int DOUBLE = 4;
    public static final int INT16 = 1;
    public static final int INT32 = 2;
    public static final int FLOAT32 = 3;
    public static final int FLOAT64 = 4;
    public static final int STRING = 5;
    public static final int BLOB = 6;
    public static final int DATE = 7;
    public static final int SHAPE = 8;
    public static final int RASTER = 9;
    public static final int XML = 10;
    public static final int INT64 = 11;
    public static final int UUID = 12;
    public static final int CLOB = 13;
    public static final int NSTRING = 14;
    public static final int NCLOB = 15;

    private String mName;
    private int mType;

    public ColDefinition(String pName, int pType) {
        mName = pName;
        mType = pType;
    }

    public String getName() {
        return mName;
    }

    public int getType() {
        return mType;
    }
}
